#
# Copyright 2001-2002 Stfane Fermigier and Nuxeo SARL
# See LICENSE.TXT for licensing information
#
from plugin import Plugin, ConversionError, ConverterBase
import os, re, misc

def debug(s):
  #print s
  pass

class Converter(ConverterBase):
  suffix = 'html'

  # XXX: mime type should be different for writer/presenter/spread...
  mime_type = 'text/html' 

  def getHtml(self):
    return self.data


p = Plugin('HTML', [Converter])
p.addAcceptableMimeType('text/html')
p.addAcceptableFileType('HTML document text')
 
def getPlugin():
  return p                                                                      

