#
# Copyright 2001-2002 Stfane Fermigier and Nuxeo SARL
# See LICENSE.TXT for licensing information
#
from plugin import Plugin, ConversionError, ConverterBase
import os, re, misc

def debug(s):
  #print s
  pass

class Converter(ConverterBase):
  suffix = 'txt'

  mime_type = 'text/plain' 

  def getHtml(self):
    return '<pre>' + self.data + '</pre>'

  getBody = getHtml

  def getText(self):
    return self.data


p = Plugin('Text', [Converter])
p.addAcceptableMimeType('text/plain') # XXX: should be 'text/*'
p.addAcceptableMimeType('application/octet-stream') # XXX: should be 'text/*'
p.addAcceptableFileType('ASCII text')
p.addAcceptableFileType('ISO-8859 text')
 
def getPlugin():
  return p                                                                      

